## visad.data.amanda
Class EventList

    java.lang.Object
      visad.data.amanda.EventList

Direct Known Subclasses:
  Hits, Tracks

public abstract class EventList
extends Object

Constructor Summary
`EventList()`

Method Summary
`(package private) void` `add(Object o)`
`(package private) void` `addUnique(Object o)`
`void` `dump(PrintStream out)`
`(package private) Object` `internalGet(int i)`
`(package private) int` `size()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventList

    public EventList()

Method Detail

### add

    final void add(Object o)

### addUnique

    final void addUnique(Object o)

### dump

    public final void dump(PrintStream out)

### internalGet

    final Object internalGet(int i)

### size

    final int size()

### toString

    public final String toString()